Show / Hide Table of Contents

# Class OpenIddictValidationHandler<TContext>

Represents a handler able to process `TContext` events.

##### Inheritance

System.Object
OpenIddictValidationHandler<TContext>

##### Implements

IOpenIddictValidationHandler<TContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationHandler<TContext> : IOpenIddictValidationHandler<TContext> where TContext : BaseContext

##### Type Parameters

Name | Description
--- | ---
TContext | The type of the events handled by this instance.

### Constructors

#### OpenIddictValidationHandler(Func<TContext, ValueTask>)

Creates a new event using the specified handler delegate.

##### Declaration

    public OpenIddictValidationHandler(Func<TContext, ValueTask> handler)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Func<TContext, ValueTask> | handler | The event handler delegate.

### Methods

#### HandleAsync(TContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(TContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
TContext | context | The event to process.

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictValidationHandler<TContext>